summaryrefslogtreecommitdiffstats
path: root/docs
diff options
context:
space:
mode:
authorMichael E Brown <mebrown@michaels-house.net>2007-10-20 03:51:35 -0500
committerMichael E Brown <mebrown@michaels-house.net>2007-10-20 03:51:35 -0500
commit0fb45c98d2207896fbb55c7ebe155b0ede83c0a0 (patch)
treeae980015b97e392d47f2aaf02b597cb46b6b8695 /docs
parent0a01430c4f50170540386b3cd6b215eef3876e18 (diff)
add release testing script to ensure basic stuff works before release.
Diffstat (limited to 'docs')
-rwxr-xr-xdocs/releasetests.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/docs/releasetests.sh b/docs/releasetests.sh
new file mode 100755
index 0000000..7adbeef
--- /dev/null
+++ b/docs/releasetests.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+# vim:tw=0:ts=4:sw=4
+
+# this is a test script to run everything through its paces before you do a
+# release. The basic idea is:
+
+# 1) make distcheck to ensure that all autoconf stuff is setup properly
+# 2) build and install mock rpm.
+# 3) then use that version of mock to recompile the mock srpm for all supported distros.
+
+# This test will only run on a machine with full access to internet.
+# might work with http_proxy= env var, but I havent tested that.
+
+set -e
+set -x
+
+DIR=$(cd $(dirname $0); pwd)
+TOP_SRCTREE=$DIR/../
+cd $TOP_SRCTREE
+
+[ ! -e Makefile ] || make distclean
+
+./configure
+make distcheck
+make rpm
+
+sudo rpm -e mock
+sudo rpm -Uvh --replacepkgs $(ls mock*.rpm | grep -v src.rpm | grep -v debuginfo)
+
+for i in $(ls $DIR/../etc/*cfg | grep -v default); do
+ mock --resultdir=$TOP_SRCTREE/mock-unit-test --uniqueext=unittest rebuild mock-0.8.0-1.fc7.src.rpm -r fedora-4-i386-epel
+done
+